gstreamermm: Gst::QueryDuration Class Reference

gstreamermm 1.0.10

- Main Page
- Modules
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Member Functions | List of all members
Gst::QueryDuration Class Reference

A stream duration query object. More...

Inheritance diagram for Gst::QueryDuration:
[legend]
Collaboration diagram for Gst::QueryDuration:
[legend]

## Public Member Functions
void | set (Format format, gint64 duration)
| Answer a duration query by setting the requested value in the given format. More...
void | parse (Format& format, gint64& duration) const
| Parse a duration query answer. More...
gint64 | parse () const
| Parse a duration query answer, returning the duration. More...
Format | parse_format () const
| Parse a duration query answer, returning the format of the duration. More...
Public Member Functions inherited from Gst::Query
void | reference () const
| Increment the reference count for this object. More...
void | unreference () const
| Decrement the reference count for this object. More...
GstQuery* | gobj ()
| Provides access to the underlying C instance. More...
const GstQuery* | gobj () const
| Provides access to the underlying C instance. More...
GstQuery* | gobj_copy () const
| Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs. More...
Glib::RefPtr< Gst::Query > | create_writable ()
| Makes a writable query from the given query. More...
Gst::Structure | get_structure () const
| Get the structure of a query. More...
QueryType | get_query_type () const
| Get the Gst::QueryType of the query. More...
void | set_caps_result (Glib::RefPtr< Gst::Caps > caps)
| Set the caps result in query. More...
void | set_accept_caps_result (bool res)
| Set result as the result for the query. More...
Public Member Functions inherited from Gst::MiniObject
void | reference () const
| Increment the reference count for this object. More...
void | unreference () const
| Decrement the reference count for this object. More...
GstMiniObject* | gobj ()
| Provides access to the underlying C instance. More...
const GstMiniObject* | gobj () const
| Provides access to the underlying C instance. More...
GstMiniObject* | gobj_copy () const
| Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs. More...
| ~MiniObject ()
guint | get_flags () const
void | set_flags (const guint& value)
bool | lock (LockFlags flags)
| Lock the mini-object with the specified access mode in flags. More...
void | unlock (LockFlags flags)
| Unlock the mini-object with the specified access mode in flags. More...
bool | is_writable () const
| If mini_object has the LOCKABLE flag set, check if the current EXCLUSIVE lock on object is the only one, this means that changes to the object will not be visible to any other object. More...
Glib::RefPtr< MiniObject > | create_writable ()
| Checks if a mini-object is writable. More...

## Static Public Member Functions
static Glib::RefPtr < Gst::QueryDuration > | create (Format format)
| Constructs a new stream duration query object to query in the given format. More...
Static Public Member Functions inherited from Gst::Query
static Glib::RefPtr< Gst::Query > | create_buffering (Gst::Format format)
| Constructs a new query object for querying the buffering status of a stream. More...
static Glib::RefPtr< Gst::Query > | create_allocation (Glib::RefPtr< Gst::Caps > caps, bool need_pool)
| Constructs a new query object for querying the allocation properties. More...
static Glib::RefPtr< Gst::Query > | create_uri ()
| Constructs a new query URI query object. More...
static Glib::RefPtr< Gst::Query > | create_scheduling ()
| Constructs a new query object for querying the scheduling properties. More...
static Glib::RefPtr< Gst::Query > | create_drain ()
| Constructs a new query object for querying the drain state. More...
static Glib::RefPtr< Gst::Query > | create_convert (Gst::Format format, gint64 value, Gst::Format dest_format)
| Constructs a new convert query object. More...
static Glib::RefPtr< Gst::Query > | create_position (Gst::Format format)
| Constructs a new query stream position query object. More...
static Glib::RefPtr< Gst::Query > | create_duration (Gst::Format format)
| Constructs a new stream duration query object to query in the given format. More...
static Glib::RefPtr< Gst::Query > | create_latency ()
| Constructs a new latency query object. More...
static Glib::RefPtr< Gst::Query > | create_seeking (Gst::Format format)
| Constructs a new query object for querying seeking properties of the stream. More...
static Glib::RefPtr< Gst::Query > | create_formats ()
| Constructs a new query object for querying formats of the stream. More...
static Glib::RefPtr< Gst::Query > | create_segment (Gst::Format format)
| Constructs a new segment query object. More...
static Glib::RefPtr< Gst::Query > | create_caps (Glib::RefPtr< Gst::Caps > filter)
| Constructs a new query object for querying the caps. More...
static Glib::RefPtr< Gst::Query > | create_accept_caps (Glib::RefPtr< Gst::Caps > filter)
| Constructs a new query object for querying if caps are accepted. More...

## Additional Inherited Members
Protected Member Functions inherited from Gst::Query
| Query ()
void | operator delete (void*, std::size_t)
Protected Member Functions inherited from Gst::MiniObject
| MiniObject ()
void | operator delete (void*, std::size_t)
Static Protected Member Functions inherited from Gst::Query
template<class QueryType >
static Glib::RefPtr< QueryType > | wrap (GstQuery* query, bool take_copy=false)
Related Functions inherited from Gst::Query
Glib::RefPtr< Gst::Query > | wrap (GstQuery* object, bool take_copy=false)
| A Glib::wrap() method for this object. More...
Related Functions inherited from Gst::MiniObject
Glib::RefPtr< Gst::MiniObject > | wrap (GstMiniObject* object, bool take_copy=false)
| A Glib::wrap() method for this object. More...

## Detailed Description

A stream duration query object.

See create() for more details.

## Member Function Documentation

static Glib::RefPtr<Gst::QueryDuration> Gst::QueryDuration::create | ( | Format | format | ) |
| static

Constructs a new stream duration query object to query in the given format.

A duration query will give the total length of the stream.

Parameters

  format | The Gst::Format for this duration query.

Returns
  The new Gst::QueryDuration.

void Gst::QueryDuration::parse | ( | Format& | format,
|  | gint64 & | duration
| ) |  | const

Parse a duration query answer.

Write the format of the duration into format, and the value into duration. Use the other parse() methods for parsing individual values.

Parameters

  format | The storage for the Gst::Format of the duration value.
  duration | The storage for the total duration.

gint64 Gst::QueryDuration::parse | ( |  | ) | const

Parse a duration query answer, returning the duration.

Returns
  The total duration.

Format Gst::QueryDuration::parse_format | ( |  | ) | const

Parse a duration query answer, returning the format of the duration.

Returns
  The Gst::Format of the duration value.

void Gst::QueryDuration::set | ( | Format | format,
|  | gint64 | duration
| ) |  |

Answer a duration query by setting the requested value in the given format.

Parameters

  format | The Gst::Format for the duration.
  duration | The duration of the stream.

The documentation for this class was generated from the following file:

- gstreamermm/query.h